#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "usart.h"

int main(void)
{
    sio_init(57600,8);    // SIO設定
    sei(); // 全割り込み許可

    sendString("Hello! UART world!!");

    for(;;)
    {
        int d = getReceivedData();
        sendChar(d); // echo back
    }
}
